#+title: docker 镜像配置

* OWSS
github: [[https://github.com/ronggang/OWSS]]

docker 拉取命令
#+begin_src bash
  docker pull ronggang/owss
#+end_src

部署命令
#+begin_src bash
  # Linux
  docker run -d \
    --restart=always \
    --privileged \
    --network=host \
    --name owss \
    -v /OWSS/storage:/app/storage \
    -v /OWSS/config:/app/config \
    -p 8088:8088 \
    ronggang/owss
#+end_src

* v2raya
github: https://github.com/v2rayA/v2rayA

安装文档: https://v2raya.org/docs/prologue/installation/docker/

docker 拉取命令
#+begin_src bash
  docker pull mzz2017/v2raya
#+end_src

部署命令
#+begin_src bash
  docker run -d \
    --restart=always \
    --privileged \
    --network=host \
    --name v2raya \
    -e V2RAYA_LOG_FILE=/tmp/v2raya.log \
    -e V2RAYA_V2RAY_BIN=/usr/bin/v2raya_core \
    -e V2RAYA_NFTABLES_SUPPORT=off \
    -e IPTABLES_MODE=legacy \
    -v /lib/modules:/lib/modules:ro \
    -v /etc/resolv.conf:/etc/resolv.conf \
    -v /etc/v2raya:/etc/v2raya \
    mzz2017/v2raya
#+end_src
